> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 外部ユーザーの削除ジョブを送信

> 現在のユーザーの企業から外部ユーザーを削除します。これにより、現在の企業内で招待されたすべてのコラボレーションから各外部ユーザーが削除されます。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json POST /external_users/submit_delete_job
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /external_users/submit_delete_job:
    post:
      tags:
        - 外部ユーザー
      summary: 外部ユーザーの削除ジョブを送信
      description: 現在のユーザーの企業から外部ユーザーを削除します。これにより、現在の企業内で招待されたすべてのコラボレーションから各外部ユーザーが削除されます。
      operationId: post_external_users_submit_delete_job_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExternalUsersSubmitDeleteJobRequest'
      responses:
        '207':
          description: 各外部ユーザー削除リクエストの結果を含む複数のステータスのレスポンス。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalUsersSubmitDeleteJobResponse'
        '404':
          description: リストの外部ユーザーが見つからない場合、または認証済みユーザーに外部ユーザーを削除するための適切な権限がない場合にエラーを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: 外部ユーザーの削除ジョブを送信
          source: >-
            curl -i -X POST
            "https://api.box.com/2.0/external_users/submit_delete_job" \
                 -H "box-version: 2025.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "external_users": [
                     {
                       "type": "user",
                       "id": "12345"
                     }
                   ]
                 }'
        - lang: dotnet
          label: 外部ユーザーの削除ジョブを送信
          source: >-
            await
            client.ExternalUsers.SubmitJobToDeleteExternalUsersV2025R0Async(requestBody:
            new ExternalUsersSubmitDeleteJobRequestV2025R0(externalUsers:
            Array.AsReadOnly(new [] {new UserReferenceV2025R0(id:
            Utils.GetEnvVar(name: "BOX_EXTERNAL_USER_ID"))})));
        - lang: swift
          label: 外部ユーザーの削除ジョブを送信
          source: >-
            try await
            client.externalUsers.submitJobToDeleteExternalUsersV2025R0(requestBody:
            ExternalUsersSubmitDeleteJobRequestV2025R0(externalUsers:
            [UserReferenceV2025R0(id: Utils.getEnvironmentVariable(name:
            "BOX_EXTERNAL_USER_ID"))]))
        - lang: java
          label: 外部ユーザーの削除ジョブを送信
          source: >-
            client.getExternalUsers().submitJobToDeleteExternalUsersV2025R0(new
            ExternalUsersSubmitDeleteJobRequestV2025R0(Arrays.asList(new
            UserReferenceV2025R0(getEnvVar("BOX_EXTERNAL_USER_ID")))))
        - lang: node
          label: 外部ユーザーの削除ジョブを送信
          source: |-
            await client.externalUsers.submitJobToDeleteExternalUsersV2025R0({
              externalUsers: [
                new UserReferenceV2025R0({ id: getEnvVar('BOX_EXTERNAL_USER_ID') }),
              ],
            } satisfies ExternalUsersSubmitDeleteJobRequestV2025R0);
        - lang: python
          label: 外部ユーザーの削除ジョブを送信
          source: |-
            client.external_users.submit_job_to_delete_external_users_v2025_r0(
                [UserReferenceV2025R0(id=get_env_var("BOX_EXTERNAL_USER_ID"))]
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    ExternalUsersSubmitDeleteJobRequest:
      description: 現在の企業から外部ユーザーを削除するジョブの送信リクエスト。
      type: object
      properties:
        external_users:
          description: 削除する外部ユーザーのリスト。
          type: array
          items:
            $ref: '#/components/schemas/UserReference'
      required:
        - external_users
      title: 外部ユーザー削除ジョブ送信のリクエスト
    ExternalUsersSubmitDeleteJobResponse:
      description: 各外部ユーザー削除リクエストの結果を含む複数のステータスのレスポンス。
      type: object
      properties:
        entries:
          description: 各外部ユーザー削除リクエストの結果の配列。
          type: array
          items:
            $ref: '#/components/schemas/ExternalUserDeletionResult'
      required:
        - entries
      title: 外部ユーザー削除ジョブ送信のレスポンス
      x-box-resource-id: external_users_submit_delete_job_response_v2025.0
      x-box-tag: external_users
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
    UserReference:
      description: ユーザーの参照。
      type: object
      properties:
        type:
          description: 値は常に`user`になります。
          type: string
          example: user
          enum:
            - user
        id:
          description: ユーザーの一意の識別子。
          type: string
          example: '12345'
      required:
        - type
        - id
      title: ユーザーの参照
    ExternalUserDeletionResult:
      description: 単一の外部ユーザー削除リクエストの結果。
      type: object
      properties:
        user_id:
          description: 外部ユーザーのID。
          type: string
          example: '12345'
        status:
          description: 特定のユーザーの削除リクエストのHTTPステータスコード。
          type: integer
          example: 202
        detail:
          description: 削除リクエストのステータスの詳細。このプロパティは、削除リクエストが失敗した場合にのみ存在します。
          type: string
      required:
        - user_id
        - status
      title: 外部ユーザーの削除結果
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````